This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 458881 - Adjusting screen brightness fails on VGN SZ2M/B
Adjusting screen brightness fails on VGN SZ2M/B
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 17:10 EDT by Chris
Modified: 2010-06-28 09:46 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris 2008-08-12 17:10:10 EDT
Description of problem:
On a Sony VGN SZ2M/B the brightness applet does not change the screen's brightness. After changing it manually and restarting X, the applet works flawlessly.


Version-Release number of selected component (if applicable):
gnome-power-manager-2.22.1-1.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. Boot up F9 on a VGN SZ2M/B
2. Login as user
3. Try to change screen brightness with 'Power Manager Brightness Applet' (fails!)

  
Actual results:
None

Expected results:
Changing screen brightness

Additional info:
After changing the brightness manually with 'echo 1 > /sys/class/backlight/sony/brightness' and restarting the X-server, the brightness applet works as expected
Comment 1 Chris 2009-01-05 16:47:44 EST
This Problem got even worse with Fedora 10:

Touching the brightness applet freezes X. After writing something to '/sys/class/backlight/sony/brightness' and restarting X, the applet says 'Cannot connect to gnome-power-manager'.
Comment 2 Richard Hughes 2009-04-15 11:52:44 EDT
Does this still happen with the version in fedora rawhide, or the version of the Fedora 11 beta live cd?
Comment 3 Chris 2009-06-11 19:30:29 EDT
Ok, the freezing X problem disappeared in F11. But changing the brightness will only work if you write some value between 0 and 7 to /sys/class/backlight/sony/brightness _before_ you use the applet or hotkeys (doesn't matter what value). Otherwise you are stuck with the lowest brightness level.
Adding "echo 7 > /sys/class/backlight/sony/brightness" to rc.local works for me!
Comment 4 Gilbert Fernandes 2009-07-25 21:28:34 EDT
Sony Vaio BZ11XN
Can't set backlight, it's stuck at 100 % all the time
The LCD baclight is too strong at 100 %, killing battery life, and when using AC it makes looking at the screen painful after a few minutes, too much light.

Installed Fedora 11 from DVD, 64-bit version
The gnome power management panel does not have anything to set the backlight, the function keys for backlight have no effect.
Using xbacklight after installing it says :
[root@blackbird ~]# xbacklight -set 50
No outputs have backlight property
Trying to modprobe sony-laptop says :
[root@blackbird ~]# modprobe sony-laptop
WARNING: Deprecated config file /etc/modprobe.conf, all config files belong into /etc/modprobe.d/.
When looking for a module on the disk I can see I have a :
/lib/modules/2.6.29.4-167.fc11.x86_64/kernel/drivers/platform/x86/sony-laptop.ko
But I updated my kernel it seems on the last update :
[root@blackbird ~]# uname -a
Linux blackbird 2.6.29.6-213.fc11.x86_64 #1 SMP Tue Jul 7 21:02:57 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
And the module is not there, so perhaps the sony-laptop is in the kernel ? (no idea how to check that)
Comment 5 Richard Hughes 2009-08-20 07:47:42 EDT
(In reply to comment #3)
> Adding "echo 7 > /sys/class/backlight/sony/brightness" to rc.local works for
> me!  

Smells like a kernel problem.
Comment 6 Spencer Goh 2009-09-09 13:22:52 EDT
I have the same problem. As soon as Fedora 11 pushed out kernel [2.6.30.5-43.fc11.x86_64] my laptop brightness failed.

I had a similar experience when I upgraded to 2.6.30 during the RC test cycle, the brightness applet failed then, however the developers said it wasn't a sony-laptop problem since other users were fine, and the key events were being notified by the sony-laptop module.

I get these reported by dmesg when I press the Fn-brightness keys:

sony-laptop: sony_nc_notify, event: 0x11
sony-laptop: sony_nc_notify, event: 0x3b
sony-laptop: sony_nc_notify, event: 0x10
sony-laptop: sony_nc_notify, event: 0x3b

http://bugzilla.kernel.org/show_bug.cgi?id=12816

Someone on #fedora-kernel said kernel fix to loosen the validation/tolerance was underway, but I thought I'd post this anyway for the record.

Sony VAIO-TT
Comment 7 Alessio 2009-10-07 14:57:00 EDT
also in vgn-aw21m/vgn-aw11n all blu key are unuseable (excuse my english please :-(
Comment 8 Eric Donkersloot 2009-12-10 09:37:00 EST
Is bug 519105 a duplicate of this bug report ?! Can you test if adding the kernel boot parameter 'nomodeset' fixes anything !?
Comment 9 Gilbert Fernandes 2010-01-15 09:45:23 EST
It now works.
I have installed Fedora 12. The problem was still there.
But to fix the problem, all I had to do was edit the menu.lst
boot config file, and add the following to the kernel line :

acpi_backlight=vendor

After a reboot, when I press the Fn + Light Up/Down keys on
the Sony BZ11XN it now works nice.
Comment 10 Gilbert Fernandes 2010-01-15 09:46:26 EST
(In reply to comment #8)
> Is bug 519105 a duplicate of this bug report ?! Can you test if adding the
> kernel boot parameter 'nomodeset' fixes anything !?    

acpi_backlight=vendor fixed my problem

nomodeset had no impact nor use.
Comment 11 Eric Donkersloot 2010-01-15 12:44:49 EST
This fixed it for me too, Sony Vaio BZ12XN. No need to use the nomodeset option.
Comment 12 Bug Zapper 2010-04-27 08:11:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 06:42:43 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Pavel Alexeev 2010-06-28 09:46:17 EDT
Still does not work on my Acer Aspire 5740 notebook.

Note You need to log in before you can comment on or make changes to this bug.